<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Output Window</title>
	<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>

<h2>Output Window</h2>
<p> <small><a href="#seealso">See Also</a>&nbsp; </small>
<p>The Output window is a multi-tabbed window that displays messages from the
	IDE. This window is displayed automatically when you encounter compilation
	errors, debug your program, generate Javadoc documentation, and so on. You
	can also open this window by choosing Window  &gt; Output
	 (Ctrl-4). </p>
<h3>Hypertext Links<a name="links"></a></h3>
<p>
One function of the Output window is to notify you of errors 
found while compiling your program.  The error message is 
displayed in blue underlined text and is linked to the 
line in the source code that caused the error.
The Output window also provides links to errors found when
running Ant build scripts and when
checking and validating XML documents.
</p>
<p> If the file that contains the error is open, the Source Editor jumps to the 
  line containing each error as you move the insertion point into the error in 
  the Source Editor. You can also use the F12 and Shift-F12 keyboard shortcuts 
  to move to the next and previous error in the file.</p>
  
<ul class="note">
  <li> Every action that is run by an Ant script, such as compiling, running, 
    and debugging files, sends its output to the same Output window tab. If you 
    need to save some output, you can copy and paste it to a separate file. To 
    set Ant to print the command output for each new target to a new Output window 
    tab, choose Tools &gt; Options. Then click Miscellaneous in the left panel of the 
    window, expand the Ant node, and select the checkbox in the Reuse Output Tabs 
    property.</li>
</ul>

<h3>Input/Output<a name="inout"></a></h3>
<p> When you run a program that requires user input, a new tab appears in the 
  Output window. This tab includes a cursor. You can enter information in the 
  Output window as you would on a command line. </p>
<dl>
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="comp_about.html">Building a Project</a></dd>
    <dd><a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/xml/xml_validate.html">Validating an XML Document</a></dd>
    <dd><a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/xml/xml_check.html">Checking an XML Document for Well-Formedness</a></dd>
    <dd><a href="../debug/breakpoint_about.html">About Debugging Java Applications</a></dd>
    <dd><a href="../debug/debug_step.html">Stepping Through Your Program</a></dd>
</dl>


<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="20">
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
